[ARVADOS] updated: 1.3.0-2242-g8983a69ae

Git user git at public.arvados.org
Wed Feb 19 02:05:19 UTC 2020


Summary of changes:
 build/run-tests.sh               | 24 +++++++++++++-----------
 services/login-sync/Gemfile.lock |  4 ++--
 2 files changed, 15 insertions(+), 13 deletions(-)

       via  8983a69aecb0ea186d2e4222bdb7d244388765a1 (commit)
      from  582ca9b39f96c3816f67360cbed3a7665a8c3da8 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 8983a69aecb0ea186d2e4222bdb7d244388765a1
Author: Tom Clegg <tom at tomclegg.ca>
Date:   Tue Feb 18 21:04:31 2020 -0500

    15954: Fix up config maze in run-tests.sh.
    
    Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tom at tomclegg.ca>

diff --git a/build/run-tests.sh b/build/run-tests.sh
index d3ae29d49..fff095e6e 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -393,7 +393,7 @@ checkpidfile() {
 
 checkhealth() {
     svc="$1"
-    base=$(python -c "import yaml; print list(yaml.safe_load(file('$ARVADOS_CONFIG'))['Clusters']['zzzzz']['Services']['$1']['InternalURLs'].keys())[0]")
+    base=$("${VENVDIR}/bin/python" -c "import yaml; print list(yaml.safe_load(file('$ARVADOS_CONFIG'))['Clusters']['zzzzz']['Services']['$1']['InternalURLs'].keys())[0]")
     url="$base/_health/ping"
     if ! curl -Ss -H "Authorization: Bearer e687950a23c3a9bceec28c6223a06c79" "${url}" | tee -a /dev/stderr | grep '"OK"'; then
         echo "${url} failed"
@@ -942,6 +942,7 @@ install_services/login-sync() {
 
 install_services/api() {
     stop_services
+    check_arvados_config "services/api"
     cd "$WORKSPACE/services/api" \
         && RAILS_ENV=test bundle_install_trylocal \
             || return 1
@@ -953,7 +954,7 @@ install_services/api() {
     # database, so that we can drop it. This assumes the current user
     # is a postgresql superuser.
     cd "$WORKSPACE/services/api" \
-        && test_database=$(python -c "import yaml; print yaml.safe_load(file('$ARVADOS_CONFIG'))['Clusters']['zzzzz']['PostgreSQL']['Connection']['dbname']") \
+        && test_database=$("${VENVDIR}/bin/python" -c "import yaml; print yaml.safe_load(file('$ARVADOS_CONFIG'))['Clusters']['zzzzz']['PostgreSQL']['Connection']['dbname']") \
         && psql "$test_database" -c "SELECT pg_terminate_backend (pg_stat_activity.pid::int) FROM pg_stat_activity WHERE pg_stat_activity.datname = '$test_database';" 2>/dev/null
 
     mkdir -p "$WORKSPACE/services/api/tmp/pids"
@@ -977,15 +978,16 @@ install_services/api() {
         && git --git-dir internal.git init \
             || return 1
 
-
-    (cd "$WORKSPACE/services/api"
-     export RAILS_ENV=test
-     if "$bundle" exec rails db:environment:set ; then
-        "$bundle" exec rake db:drop
-     fi
-     "$bundle" exec rake db:setup \
-	 && "$bundle" exec rake db:fixtures:load
-    )
+    (
+        set -e
+        cd "$WORKSPACE/services/api"
+        export RAILS_ENV=test
+        if "$bundle" exec rails db:environment:set ; then
+            "$bundle" exec rake db:drop
+        fi
+        "$bundle" exec rake db:setup
+        "$bundle" exec rake db:fixtures:load
+    ) || return 1
 }
 
 declare -a pythonstuff
diff --git a/services/login-sync/Gemfile.lock b/services/login-sync/Gemfile.lock
index 28cdff6fd..84cde6ba0 100644
--- a/services/login-sync/Gemfile.lock
+++ b/services/login-sync/Gemfile.lock
@@ -1,7 +1,7 @@
 PATH
   remote: .
   specs:
-    arvados-login-sync (1.5.0.dev20200114213539)
+    arvados-login-sync (1.5.0.dev20200118023341)
       arvados (~> 1.3.0, >= 1.3.0)
       faraday (< 0.16)
       signet (< 0.12)
@@ -86,4 +86,4 @@ DEPENDENCIES
   rake
 
 BUNDLED WITH
-   1.11
+   1.17.3

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list